org.apache.calcite.avatica.remote

## Class Service.PrepareResponse

- java.lang.Object
- - org.apache.calcite.avatica.remote.Service.Base
  - - org.apache.calcite.avatica.remote.Service.Response
    - - org.apache.calcite.avatica.remote.Service.PrepareResponse

Enclosing interface:
  Service

    public static class Service.PrepareResponse
    extends Service.Response

Response from `Service.PrepareRequest`.

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FieldDescriptor` `METADATA_DESCRIPTOR`
`Service.RpcMetadataResponse` `rpcMetadata`
`Meta.StatementHandle` `statement`

### Fields inherited from class org.apache.calcite.avatica.remote.Service.Base

`PRIME`

### Constructor Summary

Constructors
Constructor and Description
`Service.PrepareResponse()`
`Service.PrepareResponse(Meta.StatementHandle statement, Service.RpcMetadataResponse rpcMetadata)`

### Method Summary

Methods
`(package private) Service.PrepareResponse` `deserialize(com.google.protobuf.Message genericMsg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`(package private) Responses.PrepareResponse` `serialize()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### METADATA_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor METADATA_DESCRIPTOR

#### statement

    public final Meta.StatementHandle statement

#### rpcMetadata

    public final Service.RpcMetadataResponse rpcMetadata

### Constructor Detail

#### Service.PrepareResponse

    Service.PrepareResponse()

#### Service.PrepareResponse

    public Service.PrepareResponse(Meta.StatementHandle statement,
                           Service.RpcMetadataResponse rpcMetadata)

### Method Detail

#### deserialize

    Service.PrepareResponse deserialize(com.google.protobuf.Message genericMsg)

Specified by:
  `deserialize` in class `Service.Response`

#### serialize

    Responses.PrepareResponse serialize()

Specified by:
  `serialize` in class `Service.Response`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`